<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__customc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_customc_char_t</compoundname>
    <includes local="no">cy_ble_custom.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__customc__char__t_1a7f098384e64bf73bae3d1ef96a80dad3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref> *</type>
        <definition>cy_ble_gatt_db_attr_handle_t* cy_stc_ble_customc_char_t::customServCharHandle</definition>
        <argsstring />
        <name>customServCharHandle</name>
        <briefdescription>
<para>Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="84" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1a59bb80dc6dbf8b709c8307f4a5b6c1a3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref> *</type>
        <definition>cy_ble_gatt_db_attr_handle_t* cy_stc_ble_customc_char_t::customServCharEndHandle</definition>
        <argsstring />
        <name>customServCharEndHandle</name>
        <briefdescription>
<para>Characteristic end handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="87" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1a262cb95944cf88df41758c2289e0c13f" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* cy_stc_ble_customc_char_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Custom Characteristic UUID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1a9ffb9478bb24fbe796f233c348896d5f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_customc_char_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>UUID Format - 16-bit (0x01) or 128-bit (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1ab86537b8951676e00a71b48517235e8b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_customc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1ad10b20b80c215508b359bb2ca16e14fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_customc_char_t::descCount</definition>
        <argsstring />
        <name>descCount</name>
        <briefdescription>
<para>Number of descriptors. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customc__char__t_1a20eccdee684c3c015e8514358a8aa26e" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__customc__desc__t">cy_stc_ble_customc_desc_t</ref> *</type>
        <definition>const cy_stc_ble_customc_desc_t* cy_stc_ble_customc_char_t::customServCharDesc</definition>
        <argsstring />
        <name>customServCharDesc</name>
        <briefdescription>
<para>Characteristic descriptors. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="102" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Custom Service Characteristics. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="387">
        <label>cy_stc_ble_customc_desc_t</label>
        <link refid="structcy__stc__ble__customc__desc__t" />
      </node>
      <node id="386">
        <label>cy_stc_ble_customc_char_t</label>
        <link refid="structcy__stc__ble__customc__char__t" />
        <childnode refid="387" relation="usage">
          <edgelabel>customServCharDesc</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="82" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1a20eccdee684c3c015e8514358a8aa26e" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>customServCharDesc</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1a59bb80dc6dbf8b709c8307f4a5b6c1a3" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>customServCharEndHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1a7f098384e64bf73bae3d1ef96a80dad3" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>customServCharHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1ad10b20b80c215508b359bb2ca16e14fb" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>descCount</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1ab86537b8951676e00a71b48517235e8b" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1a262cb95944cf88df41758c2289e0c13f" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__customc__char__t_1a9ffb9478bb24fbe796f233c348896d5f" virt="non-virtual"><scope>cy_stc_ble_customc_char_t</scope><name>uuidFormat</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>